% Ordinary Differential Equations - Initial-Value Problem
% y'+y=1, y(x1)=0; for x1=0 in range <x1, xk>
%%%%%% A. Symbolic Solution %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  clear; delete(get(0,'children'))
  syms t
  x1=0; xk=15;
  ys=dsolve('Dy+y=1','y(0)=0','t');
  subplot(2,1,1)
    ezplot(ys,[x1 xk]); grid on; axis tight
%%%%%% B. Numeric Solution: Euler Method %%%%%%%%%%%%%%%%
% Equation: y'=1-y, y(x1)=0; %%%%%%%%%%%%%%%%%%%%%%%%%%%%
  h=input('Step (=0.2): ');
  x(1)=x1; y(1)=0; N=(xk-x1)/h+1;
  for i=2:N
      x(i)=x(i-1)+h;
      y(i)=y(i-1)+h*(1-y(i-1));
  end
    hold on; plot(x,y,'-or'); axis tight; hold off
  subplot(2,1,2)
    e=y-subs(ys,t,x); plot(x,e,'-o');  grid on 
    S=sumsqr(e)/length(e); title(['ERROR SEQUENCE - MSE=',num2str(S)]);
  
