% System of Ordinary Differential Equations - Initial-Value Problem
% y''+2y'+5y=0, y(x1)=0; y'(x1)=2 for x1=0 in range <x1, xk>
%%%%%% A. Symbolic Solution %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  clear; delete(get(0,'children'))
  syms t
  x1=0; xk=5;
  ys=dsolve('D2y+2*Dy+5*y=0','y(0)=0','Dy(0)=2');
    pretty(simplify(ys)); ezplot(ys,[x1 xk]); axis tight
  subplot(2,1,1)
    ezplot(ys,[x1 xk]); grid on; axis tight
  subplot(2,1,2)
    ezplot(diff(ys),[x1 xk]); grid on; axis tight
%%%%%% B. Numeric Solution: Euler Method %%%%%%%%%%%%%%%%
% Equation: y1'=-2*y1-5*y2; y1(x1)=2
%           y2=y1;          y2(x1)=0; 
  h=input('Step (=0.1): ');
  x(1)=x1; y1(1)=2; y2(1)=0; N=(xk-x1)/h+1;
  for i=2:N
      x(i)=x(i-1)+h;
      y1(i)=y1(i-1)+h*(-2*y1(i-1)-5*y2(i-1));
      y2(i)=y2(i-1)+h*y1(i-1);
  end
  subplot(2,1,1)
    hold on; plot(x,y2,'-or'); axis tight; hold off
  subplot(2,1,2)
    hold on; plot(x,y1,'-or'); axis tight; hold off